r"""
A collection of functions and variables, that are used in the other modules of
the astrolyze package, but can also be used on their own.

This module contains:

    * astro_functions_:
        Functions and helper tools for a variety of tasks. Amongst others it
        contains functions to fit grey-bodies and lines to data points, as well
        as functions for monte-carlo analysis of these fits. Please see the
        documentation of this module and the tutorial for more details.
    * units_:
        Functions and conversion factors used to convert between units used
        in mainly (Radio-) astronomy.
    * constants_:
        Often used variables and natural constants.

.. The underscores assure that the text is rendered as a link in the on-line
.. documentation.
"""
